Bug 1073901 - Error on boot: "ata2.00: failed to enable AA (error_mask=0x1)"
Summary: Error on boot: "ata2.00: failed to enable AA (error_mask=0x1)"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-07 12:57 UTC by Nicholas Little
Modified: 2014-03-20 12:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-10 17:31:46 UTC


Attachments (Terms of Use)

Description Nicholas Little 2014-03-07 12:57:19 UTC
The above error appears on boot with certain drives found in e.g. some Lenovo laptops.

The original bug which resulted in a working patch which can be found here, https://bugzilla.redhat.com/show_bug.cgi?id=907193, the original patch is at https://bugzilla.redhat.com/show_bug.cgi?id=907193#c8.

The patch covered one firmware revision, 2AR10001, but it appears we need the same for revision 2BA30001, as reported by Guilherme in https://bugzilla.redhat.com/show_bug.cgi?id=907193#c16:

{ "ST1000LM024 HN-M101MBB", "2BA30001", ATA_HORKAGE_BROKEN_FPDMA_AA }

Comment 1 Nicholas Little 2014-03-07 13:02:53 UTC
Unfortunately I can't test any patches for this one as I have the other revision drive. But I added Guilherme to the CC list who has got the revision this bug report is about.

Thanks!

Comment 2 Guilherme Amadio 2014-03-07 14:14:44 UTC
I have tested the patch on my computer, and it fixed the issue for me. I have the drive with firmware revision 2BA30001. I am not sure if it is necessary to blacklist all firmware revisions as mentioned by Nicholas in https://bugzilla.redhat.com/show_bug.cgi?id=907193#c17, but I think that this one should be on the list.

Best regards,
Guilhere

Comment 3 Guilherme Amadio 2014-03-07 14:15:24 UTC
I have tested the patch on my computer, and it fixed the issue for me. I have the drive with firmware revision 2BA30001. I am not sure if it is necessary to blacklist all firmware revisions as mentioned by Nicholas in https://bugzilla.redhat.com/show_bug.cgi?id=907193#c17, but I think that this one should be on the list.

Best regards,
Guilherme

Comment 4 Michele Baldessari 2014-03-07 16:35:31 UTC
Thanks Nicholas and Guilherme, I sent the one-liner to Tejun. I've put you in cc:

Comment 5 Josh Boyer 2014-03-10 17:31:46 UTC
Michele's patch went into 3.14-rc6.  Thanks!

Comment 6 Guilherme Amadio 2014-03-10 21:31:07 UTC
More firmwares seem to be affected by this bug, so I just filed a new bug for this at the kernel bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=71821

—Guilherme

Comment 7 Michele Baldessari 2014-03-20 08:21:16 UTC
It has hit all the stable repos now, Guilherme please close the upstream bug as well

Comment 8 Guilherme Amadio 2014-03-20 12:21:09 UTC
Done. Thank you!


Note You need to log in before you can comment on or make changes to this bug.